commit:     316855ee9f0610861709cc46fb4382c9b8cc71ff
Author:     Austin English <wizardedit <AT> gentoo <DOT> org>
AuthorDate: Tue May  3 18:49:32 2016 +0000
Commit:     Austin English <wizardedit <AT> gentoo <DOT> org>
CommitDate: Tue May  3 19:17:01 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=316855ee

net-proxy/bfilter: use #!/sbin/openrc-run instead of #!/sbin/runscript

Gentoo-Bug: https://bugs.gentoo.org/573846

Package-Manager: portage-2.2.26

 net-proxy/bfilter/bfilter-1.1.4-r4.ebuild | 85 +++++++++++++++++++++++++++++++
 net-proxy/bfilter/files/bfilter.init      |  4 +-
 2 files changed, 87 insertions(+), 2 deletions(-)

diff --git a/net-proxy/bfilter/bfilter-1.1.4-r4.ebuild 
b/net-proxy/bfilter/bfilter-1.1.4-r4.ebuild
new file mode 100644
index 0000000..767c009
--- /dev/null
+++ b/net-proxy/bfilter/bfilter-1.1.4-r4.ebuild
@@ -0,0 +1,85 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit autotools flag-o-matic user
+
+DESCRIPTION="Ad-filtering web proxy featuring an effective heuristic 
ad-detection algorithm"
+HOMEPAGE="http://bfilter.sourceforge.net/";
+SRC_URI="mirror://sourceforge/bfilter/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="X debug"
+
+RDEPEND="sys-libs/zlib
+       dev-libs/ace:=
+       dev-libs/libsigc++:2
+       X? ( dev-cpp/gtkmm:2.4 x11-libs/libX11 )
+       dev-libs/boost:="
+
+DEPEND="${RDEPEND}
+       dev-util/scons
+       virtual/pkgconfig"
+
+PATCHES=(
+       "${FILESDIR}/${P}-glib-2.32.patch"
+       "${FILESDIR}/${P}-external-boost.patch"
+       "${FILESDIR}/${P}-gtkmm-X11-underlinking.patch"
+)
+
+RESTRICT="test" # boost's test API has changed
+
+src_prepare() {
+       default
+
+       # Some includes are missing and this breaks updates of ACE
+       sed -i \
+               -e "/#include <ace\/Synch.h>/a#include 
<ace\/Condition_T.h>\n#include <ace\/Guard_T.cpp>" \
+               libjs/nspr_impl/private.h \
+               main/*.h \
+               main/cache/*.h || die
+
+       mv configure.{in,ac} || die
+       rm -r boost || die
+
+       eautoreconf
+}
+
+src_configure() {
+       append-cxxflags -std=c++11
+       # Required to prevent narrowing conversion in lexcode.cpp, #572072
+       append-cxxflags -funsigned-char
+       econf \
+               $(use_enable debug) \
+               $(use_with X gui) \
+               --without-builtin-boost
+}
+
+src_install() {
+       default
+
+       insinto /etc/bfilter
+       doins "${FILESDIR}/forwarding.xml"
+
+       dodoc "${FILESDIR}/forwarding-proxy.xml"
+       dodoc -r doc/*
+
+       newinitd "${FILESDIR}/bfilter.init" bfilter
+       newconfd "${FILESDIR}/bfilter.conf" bfilter
+}
+
+pkg_preinst() {
+       enewgroup bfilter
+       enewuser bfilter -1 -1 -1 bfilter
+}
+
+pkg_postinst() {
+       elog "The documentation is available at"
+       elog "   http://bfilter.sourceforge.net/documentation.php";
+       elog "For forwarding bfilter service traffic through a proxy,"
+       elog "see forwarding-proxy.xml example installed in the doc directory."
+}

diff --git a/net-proxy/bfilter/files/bfilter.init 
b/net-proxy/bfilter/files/bfilter.init
index 76437f6..b4481ae 100644
--- a/net-proxy/bfilter/files/bfilter.init
+++ b/net-proxy/bfilter/files/bfilter.init
@@ -1,5 +1,5 @@
-#!/sbin/runscript
-# Copyright 1999-2013 Gentoo Foundation
+#!/sbin/openrc-run
+# Copyright 1999-2016 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 # $Id$
 

Reply via email to